Subject: Re: linux-next: manual merge of the tip tree with the pm tree

From: "Wysocki, Rafael J" <[email-masked]>
Date: Wed, 4 Feb 2026 15:48:33 +0100

On 2/4/2026 2:52 PM, Mark Brown wrote:
> Hi all,
>
> Today's linux-next merge of the tip tree got a conflict in:
>
>    drivers/thermal/qcom/lmh.c
>
> between commit:
>
>    80883ce8b1fd2 ("thermal/drivers/qcom/lmh: Remove spurious IRQF_ONESHOT")

I'll drop this one because I think that it's better to use 
IRQF_NO_THREAD in that driver.

Thanks!

> from the pm tree and commit:
>
>    781b391557a74 ("thermal/qcom/lmh: Replace IRQF_ONESHOT with IRQF_NO_THREAD")
>
> from the tip tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
>
> diff --combined drivers/thermal/qcom/lmh.c
> index b6b7f1193c441,3d072b7a4a6dd..0000000000000
> --- a/drivers/thermal/qcom/lmh.c
> +++ b/drivers/thermal/qcom/lmh.c
> @@@ -220,7 -220,8 +220,7 @@@ static int lmh_probe(struct platform_de
>    	/* Disable the irq and let cpufreq enable it when ready to handle the interrupt */
>    	irq_set_status_flags(lmh_data->irq, IRQ_NOAUTOEN);
>    	ret = devm_request_irq(dev, lmh_data->irq, lmh_handle_irq,
>   -			       IRQF_NO_THREAD | IRQF_NO_SUSPEND,
>   -			       "lmh-irq", lmh_data);
>   +			       IRQF_NO_SUSPEND, "lmh-irq", lmh_data);
>    	if (ret) {
>    		dev_err(dev, "Error %d registering irq %x\n", ret, lmh_data->irq);
>    		irq_domain_remove(lmh_data->domain);